package models

import (
	"time"

	"github.com/beego/beego/v2/client/orm"
)

type WxSession struct {
	WxSessionId    int `orm:"pk"`
	UserId         int
	OpenId         string
	AccessToken    string
	CreateTime     time.Time
	LastUpdateTime time.Time
}

func (s *WxSession) AddWxSession() (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(s)
	return
}

func GetWxSessionByToken(token string) (item *WxSession, err error) {
	sql := `SELECT * FROM wx_session WHERE access_token=? ORDER BY expire_time DESC LIMIT 1 `
	o := orm.NewOrm()
	err = o.Raw(sql, token).QueryRow(&item)
	return
}

// 根据用户id获取token
func GetTokenByOpenId(openId string) (item *WxSession, err error) {
	sql := `SELECT * FROM wx_session WHERE open_id=? ORDER BY wx_session_id DESC LIMIT 1 `
	o := orm.NewOrm()
	err = o.Raw(sql, openId).QueryRow(&item)
	return
}
